Skip to main content
GET
/
commerce
/
inventory
/
v1
/
location
/
{locationCode}
Error
A valid request URL is required to generate request examples
[
  {
    "active": true,
    "countryCode": "<string>",
    "directShip": true,
    "express": true,
    "includeInAggregate": true,
    "includeInLocationExport": true,
    "latitude": 123,
    "locationCode": "<string>",
    "locationID": 123,
    "locationName": "<string>",
    "longitude": 123,
    "messages": [
      "<string>"
    ],
    "numResults": 123,
    "pickup": true,
    "postalCode": "<string>",
    "success": true,
    "tenantID": 123,
    "transferEnabled": true,
    "wmsEnabled": true
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

locationCode
string
required

Location Code of the location to get

Response

Success

active
boolean

Flag for whether the location is active

countryCode
string

Country Code

directShip
boolean

Flag for whether the location allows Direct Ship (STH) orders

express
boolean

Flag for whether the location is express enabled or not

includeInAggregate
boolean

Flag for whether the location is to be included in aggregate exports

includeInLocationExport
boolean

Flag for whether the location is to be included in location exports

latitude
number

Latitude

locationCode
string

Location Code

locationID
integer

Internal Location ID

locationName
string

Location Name

longitude
number

Longitude

messages
string[]

List of messages

numResults
integer

Number of results

pickup
boolean

Flag for whether the location allows Pickup (BOPIS) orders

postalCode
string

Postal Code

success
boolean

Flag for success

tenantID
integer

Tenant ID

transferEnabled
boolean

Flag for whether the location allows Transfer orders

wmsEnabled
boolean

Flag for whether the location is WMS Enabled